aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarrick J. Wong <darrick.wong@oracle.com>2018-05-08 09:53:59 -0700
committerEryu Guan <guaneryu@gmail.com>2018-05-11 20:55:35 +0800
commit331edc6af65990e84c2e6e640ddb128ff6433a44 (patch)
treebfeab8c15e9bb0fa440814c7da3bb281c44018d7
parentb3c907888d5600fbd5b68713b178bf2cec05175e (diff)
downloadxfstests-dev-331edc6af65990e84c2e6e640ddb128ff6433a44.tar.gz
xfs: checkbashisms in all script files
Find all the /bin/sh scripts in xfsprogs and check for bashisms. Cc: sandeen@sandeen.net Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com> Reviewed-by: Eryu Guan <guaneryu@gmail.com> Signed-off-by: Eryu Guan <guaneryu@gmail.com>
-rwxr-xr-xtests/xfs/44652
-rw-r--r--tests/xfs/446.out2
-rw-r--r--tests/xfs/group1
3 files changed, 55 insertions, 0 deletions
diff --git a/tests/xfs/446 b/tests/xfs/446
new file mode 100755
index 0000000000..752c6a7de8
--- /dev/null
+++ b/tests/xfs/446
@@ -0,0 +1,52 @@
+#! /bin/bash
+# FS QA Test No. 446
+#
+# checkbashisms on all /bin/sh scripts. This is a maintainer script.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2018 Oracle, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# get standard environment
+. ./common/rc
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+export CHECKBASHISMS_PROG="`set_prog_path checkbashisms`"
+_require_command "$CHECKBASHISMS_PROG" checkbashisms
+
+test -z "$WORKAREA" && _notrun "Can't find xfsprogs source"
+
+rm -f $seqres.full
+
+echo "Silence is golden"
+find $WORKAREA -type f -name 'xfs*.sh' -print0 | xargs -0 grep '^#!.*/bin/sh' | sed -e 's/:.*$//g' | while read f; do
+ $CHECKBASHISMS_PROG $f
+done
+
+status=0
diff --git a/tests/xfs/446.out b/tests/xfs/446.out
new file mode 100644
index 0000000000..b7d1716873
--- /dev/null
+++ b/tests/xfs/446.out
@@ -0,0 +1,2 @@
+QA output created by 446
+Silence is golden
diff --git a/tests/xfs/group b/tests/xfs/group
index e8c802c960..c2e6677e90 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -443,3 +443,4 @@
443 auto quick ioctl fsr
444 auto quick
445 auto quick filestreams
+446 auto quick